// ESAF : Euso Simulation and Analysis Framework
// $Id: DialogFactory.hh,v 1.4 2005/10/18 23:17:30 thea Exp $
// Marco Pallavicini created Oct,  4 2002

#ifndef __DIALOGFACTORY_HH_
#define __DIALOGFACTORY_HH_

#include "euso.hh"
#include "BaseDialogFactory.hh"

class DialogFactory : public BaseDialogFactory {
public:
    static BaseDialogFactory* Get();
    virtual ~DialogFactory();

    virtual TGTransientFrame* BuildFrame( const string& name, SimuApplication*, TGWindow*, TGMainFrame* ) const;

private:
    DialogFactory();
    static DialogFactory* fMe;

    ClassDef(DialogFactory,0)
};

#endif  /* __DIALOGFACTORY_HH_ */

