// ESAF : Euso Simulation and Analysis Framework
// $Id: ESinglePhoton.cc,v 1.7 2005/10/28 17:19:53 moreggia Exp $
// A.Thea created Jun,  9 2004

#include "ESinglePhoton.hh"

ClassImp(ESinglePhoton)

//_____________________________________________________________________________
ESinglePhoton::ESinglePhoton() : TObject() {
    // ctor
    Clear();
}

//_____________________________________________________________________________
ESinglePhoton::~ESinglePhoton() {
    // dtor
}

//_____________________________________________________________________________
void ESinglePhoton::Clear( Option_t* opt ){

    fType         = 0;
    fAbsorbed     = false;
    fOutFoV       = false;
    fDate         = 0;
    fBunchId      = 0;
    fHistory      = 0;
    fTof          = 0;
    fWl           = 0;
    fNbinter      = 0;
    fPosX         = -10000;
    fPosY         = -10000;
    fPosZ         = -10000;
    fShowerPosX   = 0;
    fShowerPosY   = 0;
    fShowerPosZ   = 0;
    fAllHistory.Reset();
    fLastTotTrans   = 0;
    fLastRaylTrans  = 0;
    fLastOzoneTrans = 0;
    fLastAeroTrans  = 0;
    fLastCloudTrans = 0;
}


