// $Id: RecoShowerStepData.cc,v 1.1 2005/11/23 16:02:40 moreggia Exp $
// Author: Sylvain Moreggia   2005/11/17

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: RecoShowerStepData                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

//_____________________________________________________________________________
//
// RecoShowerStepData
//
// <extensive class description>
//
//   Config file parameters
//   ======================
//
//   <parameter name>: <parameter description>
//   -Valid options: <available options>
//

#include "RecoShowerStepData.hh"

ClassImp(RecoShowerStepData)

//_____________________________________________________________________________
RecoShowerStepData::RecoShowerStepData(Float_t Xi, Float_t Xf, Float_t Ne, EarthVector posi, EarthVector posf) {
    //
    // Constructor
    //

    fXi = Xi;
    fXf = Xf;
    fNe = Ne;
    fPosi = posi;
    fPosf = posf;
}

//_____________________________________________________________________________
RecoShowerStepData::~RecoShowerStepData() {
    //
    // Destructor
    //
}

