// ESAF : Euso Simulation and Analysis Framework
// $Id: EEventCellStatisticsAdder.hh,v 1.1 2004/09/28 12:10:13 thea Exp $
// A.Thea created Oct, 28 2003

#ifndef __EUSOEVENTCELLSTATISTICSADDER_HH_
#define __EUSOEVENTCELLSTATISTICSADDER_HH_

#include "euso.hh"
#include "EFiller.hh"

class MacroCellData;

class EEventCellStatisticsAdder : public EFiller {
public:
    // ctor
    EEventCellStatisticsAdder(Int_t, Int_t, Int_t, Int_t, MacroCellData*);

    // dtor
    virtual ~EEventCellStatisticsAdder();

    // filler
    virtual void Fill( EFillable *);

private:
    Int_t fCell;
    Int_t fNumChips;
    Int_t fNumPixels;
    Int_t fNumCounts;
    MacroCellData *fData;

    ClassDef(EEventCellStatisticsAdder,0)
};

#endif  /* __EUSOEVENTCELLSTATISTICSADDER_HH_ */

