// ESAF : Euso Simulation and Analysis Framework
// $Id: ERunParsPmtsFiller.hh,v 1.3 2004/09/13 16:43:36 thea Exp $
// Alessandro Thea created Feb, 18 2004

#ifndef __ERUNPARSPMTSFILLER_HH_
#define __ERUNPARSPMTSFILLER_HH_

#include "euso.hh"
#include "ERunParsFiller.hh"

class EusoElectronics;

class ERunParsPmtsFiller : public ERunParsFiller {
public:
    // ctor
    ERunParsPmtsFiller( EusoElectronics* );

    // dtor
    virtual ~ERunParsPmtsFiller();
    
    virtual void Fill( ERunParameters* );

private:
    EusoElectronics* fElectronics;

    ClassDef(ERunParsPmtsFiller,0)
};

#endif  /* __ERUNPARSPMTSFILLER_HH_ */

