// ESAF : Euso Simulation and Analysis Framework
// $Id: FakeOpticalAdaptor.hh,v 1.6 2004/12/23 00:39:43 thea Exp $
// A.Thea created Oct, 24 2003

#ifndef __FAKEOPTICALADAPTOR_HH_
#define __FAKEOPTICALADAPTOR_HH_

#include "euso.hh"
#include "Photon.hh"
#include "OpticalAdaptor.hh"


class FakeOpticalAdaptor: public OpticalAdaptor {
public:
    FakeOpticalAdaptor();
    virtual ~FakeOpticalAdaptor();

    virtual Photon *Transport(Photon *) const;

    EsafConfigClass(Optics,FakeOpticalAdaptor)
private:

    ClassDef(FakeOpticalAdaptor,0)
};

#endif  /* __FAKEOPTICALADAPTOR_HH_ */

