// ESAF : Euso Simulation and Analysis Framework
// $Id: EAtmosphereBunchAdder.hh,v 1.3 2004/09/14 12:10:43 moreggia Exp $
// Author: Anne Stutz   Jul, 27 2004

#ifndef __EATMOSPHEREBUNCHADDER_HH_
#define __EATMOSPHEREBUNCHADDER_HH_

#include "euso.hh"
#include "EFiller.hh"

/*******************************************************************************
 *
 * EAtmosphereBunchAdder: class description
 *
 ******************************************************************************/
class BunchOfPhotons;

class EAtmosphereBunchAdder : public EFiller {
public:
    //ctor
    EAtmosphereBunchAdder(const BunchOfPhotons*, Bool_t newb = false);

    //dtor
    virtual ~EAtmosphereBunchAdder();

    // fill the root file
    virtual void Fill( EFillable* );

private:
    const BunchOfPhotons *fBunch; 
    Bool_t fNewBunch;

    ClassDef(EAtmosphereBunchAdder,0)
};

#endif  /* __EATMOSPHEREBUNCHADDER_HH_ */

