// ESAF : Euso Simulation and Analysis Framework
//

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

// A collection of classes
#pragma link C++ class BunchOfPhotons+;
#pragma link C++ class CrkCalculator+;
#pragma link C++ class EAtmosphereBunchAdder+;
#pragma link C++ class EAtmosphereSingleAdder+;
#pragma link C++ class EmptyPhotonsInAtmosphere+;
#pragma link C++ class FileLightSource+;
#pragma link C++ class FluoCalculator+;
#pragma link C++ class KakimotoFluoCalculator+;
#pragma link C++ class NaganoFluoCalculator+;
#pragma link C++ class N2dataFluoCalculator+;
#pragma link C++ class LidarLightSource+;
#pragma link C++ class LightningLightSource+;
#pragma link C++ class LightSourceFactory+;
#pragma link C++ class LightSource+;
#pragma link C++ class ListPhotonsInAtmosphere+;
#pragma link C++ class MeteoriteLightSource+;
#pragma link C++ class NoLightSource+;
#pragma link C++ class ParentBunch+;
#pragma link C++ class PhotonsInAtmosphere+;
#pragma link C++ class ShowerLightSource+;
#pragma link C++ class SimpleCrkCalculator+;
#pragma link C++ class SinglePhoton+;
#pragma link C++ class TestLightSource+;
#endif

