// ESAF : Euso Simulation and Analysis Framework
// $Id: EVector.cc,v 1.4 2004/06/14 09:16:24 thea Exp $
// Daniel De Marco created Apr,  2 2002

#include "EVector.hh"
#include "EarthVector.hh"
#include <math.h>

ostream& operator<<(ostream &os, const EVector &v) {
    os<<"("<<v.x()<<", "<<v.y()<<", "<<v.z()<<")";
    return os;
}

// Convert EarthVector into EVector
EVector::EVector(const EarthVector& v) {
    this->SetXYZ(v.X(),v.Y(),v.Z());
}

ClassImp(EVector)
