// $Id: RecoProfile.cc,v 1.1 2005/11/23 16:02:40 moreggia Exp $
// Author: Sylvain Moreggia   2005/11/16

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: RecoProfile                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

//_____________________________________________________________________________
//
// RecoProfile
//
// <extensive class description>
//
//   Config file parameters
//   ======================
//
//   <parameter name>: <parameter description>
//   -Valid options: <available options>
//

#include "RecoProfile.hh"

ClassImp(RecoProfile)

//_____________________________________________________________________________
RecoProfile::RecoProfile() {
    //
    // Constructor
    //

}

//_____________________________________________________________________________
RecoProfile::~RecoProfile() {
    //
    // Destructor
    //
}

//_____________________________________________________________________________
RecoProfile::RecoProfile( const RecoProfile& other) {
    //
    // Copy constructor
    //
    other.Copy( *this );
}

//_____________________________________________________________________________
void RecoProfile::Copy( TObject& other ) const {
    //
    // Copy to anew object
    //
    TObject::Copy( other );

    ((RecoProfile&)other).fQuality         = fQuality;
    ((RecoProfile&)other).fXmax            = fXmax;
    ((RecoProfile&)other).fNemax           = fNemax;
    ((RecoProfile&)other).fSigma           = fSigma;
    ((RecoProfile&)other).fX1              = fX1;
    ((RecoProfile&)other).fLambda          = fLambda;
    ((RecoProfile&)other).fErrorXmax       = fErrorXmax;
    ((RecoProfile&)other).fErrorNemax      = fErrorNemax;
    ((RecoProfile&)other).fErrorSigma      = fErrorSigma;
    ((RecoProfile&)other).fErrorX1         = fErrorX1;
    ((RecoProfile&)other).fErrorLambda     = fErrorLambda;
}

//_____________________________________________________________________________
void RecoProfile::Clear() {
    fQuality     = -1;
    fXmax        = -1;
    fNemax       = -1;
    fSigma       = -1;
    fX1          = -1;
    fLambda      = -1;
    fErrorXmax   = -1;
    fErrorNemax  = -1;
    fErrorSigma  = -1;
    fErrorX1     = -1;
    fErrorLambda = -1;
}
