// $Id: RecoTrackDirection2.cc,v 1.2 2006/02/16 10:37:07 pesce Exp $
// Author: R.Pesce   2005/01/04

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: RecoTrackDirection2                                                  *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

//_____________________________________________________________________________
//
// RecoTrackDirection2
//
// <extensive class description>
//
//   Config file parameters
//   ======================
//
//   <parameter name>: <parameter description>
//   -Valid options: <available options>
//

#include "RecoTrackDirection2.hh"

ClassImp(RecoTrackDirection2)

//_____________________________________________________________________________
RecoTrackDirection2::RecoTrackDirection2() {
    //
    // Constructor
    //
    //Clear();
}

//_____________________________________________________________________________
RecoTrackDirection2::~RecoTrackDirection2() {
    //
    // Destructor
    //
    Clear();
}

//_____________________________________________________________________________
RecoTrackDirection2::RecoTrackDirection2( const RecoTrackDirection2& other ) {
    //
    // Copy constructor
    //
    other.Copy( *this );
}

//_____________________________________________________________________________
void RecoTrackDirection2::Copy( TObject& other ) const {
    //
    // Copy to a new object
    //
    TObject::Copy( other );

    ((RecoTrackDirection2&)other).fQuality = fQuality;
    ((RecoTrackDirection2&)other).fTheta = fTheta;
    ((RecoTrackDirection2&)other).fPhi = fPhi;
    ((RecoTrackDirection2&)other).fErrorTheta = fErrorTheta;
    ((RecoTrackDirection2&)other).fErrorPhi = fErrorPhi;
    ((RecoTrackDirection2&)other).fErrorDirection = fErrorDirection;
    ((RecoTrackDirection2&)other).fErrorTDP = fErrorTDP;
    ((RecoTrackDirection2&)other).fThetaAA1 = fThetaAA1;
    ((RecoTrackDirection2&)other).fPhiAA1 = fPhiAA1;
    ((RecoTrackDirection2&)other).fErrorDirectionAA1 = fErrorDirectionAA1;
    ((RecoTrackDirection2&)other).fThetaAA2 = fThetaAA2;
    ((RecoTrackDirection2&)other).fPhiAA2 = fPhiAA2;
    ((RecoTrackDirection2&)other).fErrorDirectionAA2 = fErrorDirectionAA2;
    ((RecoTrackDirection2&)other).fThetaAE1 = fThetaAE1;
    ((RecoTrackDirection2&)other).fPhiAE1 = fPhiAE1;
    ((RecoTrackDirection2&)other).fErrorDirectionAE1 = fErrorDirectionAE1;
    ((RecoTrackDirection2&)other).fThetaNE1 = fThetaNE1;
    ((RecoTrackDirection2&)other).fPhiNE1 = fPhiNE1;
    ((RecoTrackDirection2&)other).fErrorDirectionNE1 = fErrorDirectionNE1;
    ((RecoTrackDirection2&)other).fThetaNE2 = fThetaNE2;
    ((RecoTrackDirection2&)other).fPhiNE2 = fPhiNE2;
    ((RecoTrackDirection2&)other).fErrorDirectionNE2 = fErrorDirectionNE2;
}

//_____________________________________________________________________________
void RecoTrackDirection2::Clear() {
    //
    // Clear method
    //
    fQuality           = -1;
    fTheta             = -10;
    fPhi               = -10;   
    fErrorTheta        = -10;
    fErrorPhi          = -10;
    fErrorDirection    = -10;
    fErrorTDP 	       = -10;
    fThetaAA1          = -10;
    fPhiAA1            = -10; 
    fErrorDirectionAA1 = -10;
    fThetaAA2          = -10;
    fPhiAA2            = -10; 
    fErrorDirectionAA2 = -10;
    fThetaAE1          = -10;
    fPhiAE1            = -10; 
    fErrorDirectionAE1 = -10;
    fThetaNE1          = -10;
    fPhiNE1            = -10; 
    fErrorDirectionNE1 = -10;
    fThetaNE2          = -10;
    fPhiNE2            = -10; 
    fErrorDirectionNE2 = -10;

}
