// $Id: ESimpleDetectorPhotonAdder.hh,v 1.1 2006/03/24 16:23:27 moreggia Exp $
// Author: Sylvain Moreggia   2006/03/21

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: ESimpleDetectorPhotonAdder                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

#ifndef __ESIMPLEDETECTORPHOTONADDER_HH__
#define __ESIMPLEDETECTORPHOTONADDER_HH__

#include "euso.hh"
#include "EFiller.hh"
#include "EsafMsgSource.hh"

class Photon;

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// ESimpleDetectorPhotonAdder                                                                 //
//                                                                            //  
// <brief class description>                                                  //  
//                                                                            //  
////////////////////////////////////////////////////////////////////////////////

class ESimpleDetectorPhotonAdder : public EFiller, public EsafMsgSource {
public:
    
    // ctor
    ESimpleDetectorPhotonAdder(Photon*, Bool_t newph);
    
    // dtor
    virtual ~ESimpleDetectorPhotonAdder();
    
    virtual void Fill( EFillable *);

private:
    const Photon *fPhoton;
    Bool_t fNewPh;

    ClassDef(ESimpleDetectorPhotonAdder,0)
};

#endif  /* __ESIMPLEDETECTORPHOTONADDER_HH__ */

