// ESAF : Euso Simulation and Analysis Framework
//

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

// A collection of classes
#pragma link C++ class AnalogFrontEnd+;
#pragma link C++ class BoolMatrix+;
#pragma link C++ class BoolVector+;
#pragma link C++ class CellTrackingTrgEngine+;
#pragma link C++ class ChipGtuData+;
#pragma link C++ class ChipTrackingTrgEngine+;
#pragma link C++ class ChipTrackingTrgEngine0+;
#pragma link C++ class ChipTrackingTrgEngine1+;
#pragma link C++ class ChipTrackingTrgEngine2+;
#pragma link C++ class ChipTrackingTrgEngine3+;
#pragma link C++ class ChipTrackingTrgEngine4+;
#pragma link C++ class ChipTrackSegment+;
#pragma link C++ class ElectronicsFactory+;
#pragma link C++ class ElementaryCell+;
#pragma link C++ class ERunParsPmtsFiller+;
#pragma link C++ class Detector+;
#pragma link C++ class TestDetector+;
#pragma link C++ class EusoDetector+;
#pragma link C++ class PhPToRootFileDetector+;
#pragma link C++ class EusoElectronics+;
#pragma link C++ class EChipTrackTriggerDataAdder+;
#pragma link C++ class EChipTriggParsFiller+;
#pragma link C++ class ELblTrackTriggerDataAdder+;
#pragma link C++ class EEventCellStatisticsAdder+;
#pragma link C++ class EEventFrontEndDataAdder+;
#pragma link C++ class EDetectorPhotonAdder+;
#pragma link C++ class EDetectorPhotonDataAdder+;
#pragma link C++ class EEventTelemetryAdder+;
#pragma link C++ class ESimpleDetectorPhotoElecAdder+;
#pragma link C++ class ESimpleDetectorPhotonAdder+;
#pragma link C++ class FocalSurfaceFileParser+;
#pragma link C++ class FrontEndChip+;
#pragma link C++ class FullAnalogFrontEnd+;
#pragma link C++ class LblChipTrackingTrgEngine+;
#pragma link C++ class LblTrackSegment+;
#pragma link C++ class MacroCellData+;
#pragma link C++ class MacroCellGeometry+;
#pragma link C++ class MacroCell+;
#pragma link C++ class MacroCellHit+;
#pragma link C++ class PersistencyTriggerEngine+;
#pragma link C++ class PhotoElectron+;
#pragma link C++ class Photomultiplier+;
#pragma link C++ class PmtGeometry+;
#pragma link C++ class PmtSignal+;
#pragma link C++ class R7600M64Photomultiplier+;
#pragma link C++ class R8900M36Photomultiplier+;
#pragma link C++ class SignalChipTrackingTrgEngine+;
#pragma link C++ class SiliconPhotomultiplier+;
#pragma link C++ class SimpleTelemetry+;
#pragma link C++ class SimpleDetector+;
#pragma link C++ class StandardMacroCell+;
#pragma link C++ class Telemetry+;
#pragma link C++ class TriggerEngine+;

#endif
