// ESAF : Euso Simulation and Analysis Framework
//

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

// A collection of classes
#pragma link C++ class Photon+;
#pragma link C++ class OpticsFactory+;
#pragma link C++ class DetectorPhotonTransporter+;
#pragma link C++ class ERunParsPixelMapFiller+;
#pragma link C++ class EusoMapping+;
#pragma link C++ class Interpolate+;

#pragma link C++ class Baffle+;
#pragma link C++ class TestBaffle+;
#pragma link C++ class ConicBaffle+;

#pragma link C++ class DetectorTransportManager+;
#pragma link C++ class ElecTestDetTransManager+;
#pragma link C++ class FastDetectorTransportManager+;

#pragma link C++ class FocalPlane+;
#pragma link C++ class TestFocalPlane+;
#pragma link C++ class FastFocalPlane+;
#pragma link C++ class PolarFocalPlane+;
#pragma link C++ class CartesianFocalPlane+;

#pragma link C++ class IdealFocalSurface+;
#pragma link C++ class TestIdealFocalSurface+;
#pragma link C++ class JIdealFocalSurface+;
#pragma link C++ class KIdealFocalSurface+;
#pragma link C++ class SphericalIdealFocalSurface+;

#pragma link C++ class JOpticalSystem+;
#pragma link C++ class KOpticalSystem+;
#pragma link C++ class OpticalSystem+;
#pragma link C++ class TestOpticalSystem+;
#pragma link C++ class ParamOpticalSystem+;
#pragma link C++ class DatabaseOpticalSystem+;

#pragma link C++ class LightPipe+;

#pragma link C++ class OpticalAdaptor+;
#pragma link C++ class IdealOpticalAdaptor+;
#pragma link C++ class TestOpticalAdaptor+;
#pragma link C++ class PipesOpticalAdaptor+;
#pragma link C++ class FakeOpticalAdaptor+;

#pragma link C++ class WallInteraction+;
#pragma link C++ class DetectorGeometry+;
#pragma link C++ class EEventGeoFiller+;
#endif
