//
// $Id: TestOpticalAdaptor.hh,v 1.8 2004/12/23 00:39:44 thea Exp $
//
// simple implementation of a transparent optical adator, mainly used to
// test the method of the OpticalAdaptor class
//
#ifndef TESTOPTICALADAPTOR_HH
#define TESTOPTICALADAPTOR_HH

#include "OpticalAdaptor.hh"
#include "PmtGeometry.hh"

class TestOpticalAdaptor: public OpticalAdaptor {
public:
    TestOpticalAdaptor();
    virtual Photon *Transport(Photon *) const;
    
    EsafConfigClass(Optics,TestOpticalAdaptor)	    

    ClassDef(TestOpticalAdaptor,0)
};

#endif /* TESTOPTICALADAPTOR_HH */
