// $Id: EmptyPhotonsOnPupil.hh,v 1.2 2006/03/20 21:51:35 thea Exp $
// Author: Sylvain Moreggia   2005/11/14

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: EmptyPhotonsOnPupil                                                  *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

#ifndef __EMPTYPHOTONSONPUPIL_HH__
#define __EMPTYPHOTONSONPUPIL_HH__

#include "euso.hh"
#include "PhotonsOnPupil.hh"

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// EmptyPhotonsOnPupil                                                        //
//                                                                            //  
// <brief class description>                                                  //  
//                                                                            //  
////////////////////////////////////////////////////////////////////////////////

class EmptyPhotonsOnPupil : public PhotonsOnPupil {
public:
    EmptyPhotonsOnPupil();
    virtual ~EmptyPhotonsOnPupil();
    
    virtual Photon* GetPhoton() {return (Photon*)0;}

    virtual void Clear() {}

    virtual Bool_t ClearMemory() { return kTRUE;}

private:

    ClassDef(EmptyPhotonsOnPupil,0)
};

#endif  /* __EMPTYPHOTONSONPUPIL_HH__ */

